ubuntu/+source/rhythmbox:ubuntu/oneiric

Last commit made on 2011-09-09
Get this branch:
git clone -b ubuntu/oneiric https://git.launchpad.net/ubuntu/+source/rhythmbox
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/oneiric
Repository:
lp:ubuntu/+source/rhythmbox

Recent commits

96a6ecd... by Rico Tzschichholz on 2011-09-09

Import patches-unapplied version 2.90.1~20110908-0ubuntu1 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: 279c4e57f310380ace728dec995f340d9a64d2f3

New changelog entries:
  * New upstream git snapshot up to commit
    31e8e0e6b3a4af101f60b5733e0cfdd736f3dd6d
  * reverted commit "visualizer: add colorspace converter so it works
    with playbin2" (d9fe72447999c2777ddc053dfa28ff363e84336d) and
    "visualizer: new clutter-based visualizer plugin"
    (082eaf958b60e3830f1607114353d777c930d616) to prevent dependency on
    clutter-gst which is in universe

279c4e5... by Rico Tzschichholz on 2011-08-03

Import patches-unapplied version 2.90.1~20110802-0ubuntu2 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: f2fbe78d0159a396928c7c6a0075e1bc392bad5f

New changelog entries:
  * debian/rhythmbox-plugins.install:
    - install notification plugin
  * debian/rhythmbox-dev.install:
    - install html documentations

f2fbe78... by Rico Tzschichholz on 2011-07-29

Import patches-unapplied version 2.90.1~20110802-0ubuntu1 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: b031ad580fd14851cac1ab51e368c6d8fe87690c

New changelog entries:
  * New upstream git snapshot up to commit
    5371a53f180007f7998720acf8d7d3376376a39d
  * reverted commit "visualizer: new clutter-based visualizer plugin"
    (082eaf958b60e3830f1607114353d777c930d616) to prevent universe dependencies
  * debian/control.in:
    - rename gir-package to gir1.2-rb-3.0
    - add libdiscid0-dev, libpeas-dev (>= 0.7.3)
    - drop libgnome-media-profiles-dev
    - bump gstreamer dependencies (>= 0.10.32)
    - comment rhythmbox-plugin-coherence package since it disabled upstream
  * debian/*.install:
    - update for new source
  * debian/patches:
    - refreshed as needed
    - drop 00git-daap-password-handling.patch and 00git-dacp-enums.patch
    - fix 05_hide_on_quit.patch (LP: #780747)

b031ad5... by Scott Kitterman on 2011-07-22

Import patches-unapplied version 2.90.1~20110329-1ubuntu5 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: 0b1fef1817ab44f921faa0e938bfddbb3521a0a0

New changelog entries:
  * No change rebuild for the libmtp transition

0b1fef1... by Martin Pitt on 2011-06-01

Import patches-unapplied version 2.90.1~20110329-1ubuntu4 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: 1f23a48130d26f60f789697965cc911ef1bea1dd

New changelog entries:
  * Add 00git-daap-password-handling.patch and 00git-dacp-enums.patch:
    Backport DAAP fixes from upstream trunk to fix building against current
    daap.
  * debian/control.in: Bump libdmapsharing-3.0-dev build dependency, above
    patches now need the new API.
  * debian/control.in: Add Breaks: to the current version of
    rhythmbox-ubuntuone-music-store, as that is still using GTK2, and thus
    crashing RB on startup. (Assuming that the next upload will fix that
    somehow).

1f23a48... by Matthias Klose on 2011-05-30

Import patches-unapplied version 2.90.1~20110329-1ubuntu3 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: 067cb93b7dc8137d9b36d400feebfe8150c85c73

New changelog entries:
  * rhythmbox-dbg: Don't recommend gstreamer0.10-plugins-ugly-dbg.

067cb93... by Sebastien Bacher on 2011-05-27

Import patches-unapplied version 2.90.1~20110329-1ubuntu2 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: 36bdd66505989c5179e9b8554b344c16a16dde34

New changelog entries:
  * debian/control.in:
    - build-depends on dh-autoreconf and gnome-common

36bdd66... by Sebastien Bacher on 2011-05-26

Import patches-unapplied version 2.90.1~20110329-1ubuntu1 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: 3d9dc9146ce8aba9a92ed547e16436f4d99816ec

New changelog entries:
  * Resynchronize on Debian
    Remaining diffs:
  * debian/control.in:
    - Build-Depends on gnome-common and liblaunchpad-integration-3.0-dev
    - Suggests rather than Recommends gstreamer universe components
    - only recommends python-mako since it's not strictly required
    - recommends the cdrecord option rather than suggests, that's something
      users probably expect to see working on the default installation
  * debian/source_rhythmbox.py:
    - Apport hook
  * debian/rhythmbox.install:
    - Install apport hook
  * debian/rhythmbox.gconf-defaults:
    - Set the library watching option on by default
  * debian/patches/01_lpi.patch:
    - Launchpad integration change
  * debian/patches/02_use_escaped_podcast_uri.patch:
    - Handle podcasts that have sound files with the same basename
  * debian/patches/03_magnatune_partner.patch:
    - Set Magnatune plugin partner ID to "ubuntu"
  * debian/patches/04_pause_button.patch:
    - remove the play pause button label
  * debian/patches/22_hide_on_quit.patch:
    - the close and ctrl<w> buttons are now mapped to hide the main window (can
      bring it back using the soundmenu). Music -> Quit should be used to really
      close rhythmbox.
  * debian/rules:
    - Run autotools on build

3d9dc91... by Josselin Mouette <email address hidden> on 2011-03-30

Import patches-unapplied version 2.90.1~20110329-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 344b29a2f412346b97c9c34e1bca32ba98f3d936

New changelog entries:
  * New upstream git snapshot.
  * 0001-Fix-build-with-HAL-support.patch: dropped, merged upstream.
  * Update (build-)dependencies to the new versions.
  * Split librhythmbox-core in its separate package.
  * Include development headers in a new rhythmbox-dev one.
  * Create a GIR package, needed by the plugins.
  * Include again the daap plugin, thanks to libdmapsharing.
  * Require pygobject 2.27 for the gi module.

344b29a... by Emilio Pozuelo Monfort <email address hidden> on 2011-01-17

Import patches-unapplied version 0.13.3-2 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: d8e2c96cf5e91f2d7308853c48ee9bfed84dc5af

New changelog entries:
  * debian/patches/0001-Fix-build-with-HAL-support.patch:
    + Fix build when configured with HAL support. Closes: #610280.